table_iterator.h(3)

NAME
table_iterator.h -

SYNOPSIS

  Data Structures
struct netsnmp_iterator_info_s
Holds iterator information containing functions which should be called by the iterator_handler to loop over your data set and sort it in a SNMP specific manner.

  Defines
#define NETSNMP_ITERATOR_FLAG_SORTED 0x01
#define TABLE_ITERATOR_NAME 'table_iterator'

  Typedefs
typedef netsnmp_variable_list *( Netsnmp_First_Data_Point )(void **loop_context, void **data_context, netsnmp_variable_list *, struct netsnmp_iterator_info_s *)
typedef netsnmp_variable_list *( Netsnmp_Next_Data_Point )(void **loop_context, void **data_context, netsnmp_variable_list *, struct netsnmp_iterator_info_s *)
typedef void *( Netsnmp_Make_Data_Context )(void *loop_context, struct netsnmp_iterator_info_s *)
typedef void( Netsnmp_Free_Loop_Context )(void *, struct netsnmp_iterator_info_s *)
typedef void( Netsnmp_Free_Data_Context )(void *, struct netsnmp_iterator_info_s *)
typedef netsnmp_iterator_info_s netsnmp_iterator_info
Typedefs the netsnmp_iterator_info_s struct into netsnmp_iterator_info.

  Functions
netsnmp_mib_handler * netsnmp_get_table_iterator_handler (netsnmp_iterator_info *iinfo)
returns a netsnmp_mib_handler object for the table_iterator helper
int netsnmp_register_table_iterator (netsnmp_handler_registration *reginfo, netsnmp_iterator_info *iinfo)
Creates and registers a table iterator helper handler calling netsnmp_create_handler with a handler name set to TABLE_ITERATOR_NAME and access method, netsnmp_table_iterator_helper_handler.
void netsnmp_iterator_delete_table (netsnmp_iterator_info *iinfo)
NETSNMP_INLINE void * netsnmp_extract_iterator_context (netsnmp_request_info *request)
extracts the table_iterator specific data from a request.
NETSNMP_INLINE void netsnmp_insert_iterator_context (netsnmp_request_info *request, void *data)
inserts table_iterator specific data for a newly created row into a request
void * netsnmp_iterator_row_first (netsnmp_iterator_info *iinfo)
void * netsnmp_iterator_row_get (netsnmp_iterator_info *iinfo, void *row)
void * netsnmp_iterator_row_next (netsnmp_iterator_info *iinfo, void *row)
void * netsnmp_iterator_row_get_byidx (netsnmp_iterator_info *iinfo, netsnmp_variable_list *indexes)
void * netsnmp_iterator_row_next_byidx (netsnmp_iterator_info *iinfo, netsnmp_variable_list *indexes)
void * netsnmp_iterator_row_get_byoid (netsnmp_iterator_info *iinfo, oid *instance, size_t len)
void * netsnmp_iterator_row_next_byoid (netsnmp_iterator_info *iinfo, oid *instance, size_t len)
int netsnmp_iterator_row_count (netsnmp_iterator_info *iinfo)

  Variables
Netsnmp_Node_Handler netsnmp_table_iterator_helper_handler

Detailed Description

Definition in file table_iterator.h.

Author

Generated automatically by Doxygen for net-snmp from the source code.